org.apache.lucene.analysis

## Interface CannedBinaryTokenStream.BinaryTermAttribute

All Superinterfaces:
  Attribute, TermToBytesRefAttribute

All Known Implementing Classes:
  CannedBinaryTokenStream.BinaryTermAttributeImpl

Enclosing class:
  CannedBinaryTokenStream

    public static interface CannedBinaryTokenStream.BinaryTermAttribute
    extends TermToBytesRefAttribute

An attribute extending `TermToBytesRefAttribute` but exposing `setBytesRef(org.apache.lucene.util.BytesRef)` method.

### Method Summary

Methods
`void` `setBytesRef(BytesRef bytes)` Set the current binary value.

### Methods inherited from interface org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute

`fillBytesRef, getBytesRef`

### Method Detail

#### setBytesRef

    void setBytesRef(BytesRef bytes)

Set the current binary value.